Class | Chef::Provider::Package::Yum::RPMDependency
In: | lib/chef/provider/package/yum.rb
Parent: | Object

Simple implementation from rpm and ruby-rpm reference code

### Methods

new parse satisfy?

### Attributes

flag | [R] |
name | [R] |
version | [R] |

### Public Class methods

new(*args)
parse(string)

Parses 2 forms:

"mtr >= 2:0.71-3.0" "mta"

### Public Instance methods

satisfy?(y)

Test if another RPMDependency satisfies our requirements

[Validate]